cosmo=function(seqs=NULL, minW=6, maxW=15, revComp=TRUE, minSites=NULL, maxSites=NULL, oops=FALSE, zoops=TRUE, tcm=FALSE, approx="over", cutFac=2, wCrit="eval", wFold=5, wTrunc=100, modCrit="eval", modFold=5, modTrunc=100, conCrit="pwmCV", conFold=2, conTrunc=100, intCrit="eval", intFold=5, intTrunc=100, constraints=NULL, starts=5, lstarts=FALSE, backSeqs=NULL, backFold=5, transMat=NULL, order=NULL) {

	if (class(seqs) == "list" ){
		seqObject = seqs
	}
	else if (class(seqs)=="seqInfo") {
		seqObject = seqs@seqList
	}
	else if (class(seqs)=="matrix") {
		seqObject = seqs
	}
	else if (class(seqs)=="seqData") {
		seqObject = seqs@seqInfo@seqList
	}
	else if (class(seqs)=="character") {
		seqObject = readFasta(seqs)
	}
	else if (is.null(seqs)) {
		seqs=fileBrowser(textToShow="Sequence File (in FASTA format)")
		seqObject = readFasta(seqs)
	}
	seqObject=trans(seqObject) ##->in matrix format

	if (is.null(constraints)) {
		constraintBuilder()
                if (!is.null(CS)){
                    constraints=writeConstraint(CS, stringOutput=TRUE)
                }
        }
	else if (class(constraints) == "character" & substring(constraints,1,1)=="@"){
		constraints=constraints
	}
	else if (class(constraints) == "character" & substring(constraints,nchar(constraints)-3,nchar(constraints))==".txt"){
		constraints=writeConstraint(constraintGroup(constraints), stringOutput=TRUE)
	}
	else if (class(constraints) == "intInfo"){
		consSet=new("constraintSet",description="",numIntervals=1,intervals=list(constraints),golbalCon=data.frame(),objectCall=match.call())
		consGroup=new("constraintGroup",description="",numSets=1,constraintSets=list(consSet),objectCall=match.call())
		constraints=writeConstraint(consGroup, stringOutput=TRUE)
	}
	else if (class(constraints) == "constraintSet"){
		consGroup=new("constraintGroup",description="",numSets=1,constraintSets=list(constraints),objectCall=match.call())
		constraints=writeConstraint(consGroup, stringOutput=TRUE)
	}
	else if (class(constraints) == "constraintGroup"){
		consraints=writeConstraint(constraints, stringOutput=TRUE)
	}
	

	out = cosmo.fit(seqObject, minW=minW, maxW=maxW, revComp=revComp, minSites=minSites, maxSites=maxSites, oops=oops, zoops=zoops, tcm=tcm, approx=approx, cutFac=cutFac, wCrit=wCrit, wFold=wFold, wTrunc=wTrunc, modCrit=modCrit, modFold=modFold, modTrunc=modTrunc, conCrit=conCrit, conFold=conFold, conTrunc=conTrunc, intCrit=intCrit, intFold=intFold, intTrunc=intTrunc, constraints=constraints, starts=starts, lstarts=lstarts, backSeqs=backSeqs, backFold=backFold, transMat=transMat, order=order)

	out = output(out$width, out$model, out$conset, out$pwm, out$consensus, out$ic, out$eval, out$numSites, out$alignSeqs, out$alignStarts, out$probs, out$revcomp, out$sites, out$order, out$klDivs, out$wCrits, out$modCrits, out$conCrits, out$transMats, out$seqs)
	
	out

}
