\name{backgrd-class}
\docType{class}
\alias{backgrd}
\alias{backgrd-class}
\alias{plot,backgrd-method}
\alias{summary,backgrd-method}

\title{Class "backgrd" ~~~ }
\description{ An object of class \code{backgrd} regroups the information on available data on the 
background, in particular the Markov order and the associated transition matrix.}
\section{Objects from the Class}{
Objects can be created by calls of the form 
\code{  new('backgrd',}\cr
\code{    description   = ...., # Object of class \code{"character"}}\cr
\code{    markov        = ...., # Object of class \code{"numeric"}}\cr
\code{    transmat      = ...., # Object of class \code{"matrix"} or \code{"character"}}\cr
\code{    objectCall    = ...., # Object of class \code{"call"}}\cr
\code{  )}
or by:
\code{  backgrd(}\cr
\code{    transmat      = NULL                ...., # Object of class \code{"matrix"}}\cr
\code{    markov        = 0                   ...., # Object of class \code{"numeric"}}\cr
\code{    description   = "background Object" ...., # Object of class \code{"character"}}\cr
\code{  )}
}
\section{Slots}{
  \describe{
    \item{\code{description}:}{Object of class \code{"character"} general description of the background object }
    \item{\code{markov}:}{Object of class \code{"numeric"} Markov order }
    \item{\code{transmat}:}{Object of class \code{"matrix"} Transition
      matrix of dimension '4 to the power markov' by 4. The rows correspond to the previous nucleotides, and the column to the following nucleotide }
    \item{\code{objectCall}:}{Object of class \code{"call"} stores how the object was created }
  }
}
\section{Methods}{
\describe{
    \item{summary}{\code{signature(object="backgrd")}: returns the transition matrix}
    \item{plot}{\code{signature(x = "backgrd")}: creates an image of the transition matrix. This is equivalent to coloring the transition matrix; the darker the coloring, the smaller the transition probability. }
  }
}
\references{  }
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\note{
On the default values for the backgrd() command:
The transmat argument can either be a matrix or the path to the text file containing the transition matrix to be read. If the default NULL value is kept, a vignette allowing to browse and select the file opens (requires the tkWidget library)
If the default value of 0 is kept when calling the backgrd() command, the Markov odred is approximated from the transition matrix dimension.	
}
\seealso{
  ~~objects to See Also as \code{\link{backgrd}}, ~~~
  \code{\link{seqData-class}}
}
\examples{
#data(transmat)
#backgrd(transmat, markov=2)
}
\keyword{classes}
