\name{constraintBuilder}
\alias{constraintBuilder}
\title{Widget assistance for constraint construction}
\description{
  The command opens a series of user-friendly pop-up windows that will
  help the user adapt sample constraints or build new constraints from
  scratch.
}
\usage{
constraintBuilder()
}
\details{
There are five sample constraints the user can modify: ICstep (the information content is a constant across the intervals), ICbound (the information content is bounded across each interval,
V-shaped (the information content follows a symetric and continuous high-low-high), A-shaped (the information content follows a symetric and continuous low-high-low), Submotif (a segment of the motif is known).)
The uiser also has the option of building a constraint set from scratch. The user will then be taken through a step-by-step construction (interval setup, palindromic intervals constraints, information content constraints, nucleotide frequencies constraints and submotif constraints.)
}
\value{
A constraint set object named CS is build and can be written as a text file (with the writeConstraint command), plotted (using the plot method), or fed in the cosmo command as the constraint argument.
}
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\seealso{
  \code{\link{cosmo}}, \code{\link{constraintSet-class}}
}
\examples{
#constraintBuilder()
#plot(CS)
}
\keyword{misc}
