\name{constraintGroup-class}
\docType{class}
\alias{constraintGroup-class}
\alias{plot,constraintGroup-method}

\title{Class "constraintGroup" }
\description{ An object of class \code{"constraintGroup"} regroups objects of class \code{"constraintSet"}. Therefore multiple sets can be tried at once when using COMODE.}
\section{Objects from the Class}{
Objects can be created by calls of the form 
\code{  new('constraintGroup',}\cr
\code{    description      = ...., # Object of class \code{"character"}}\cr
\code{    numSets          = ...., # Object of class \code{"numeric"}}\cr
\code{    constraintSets   = ...., # Object of class \code{"list"}}\cr
\code{    objectCall       = ...., # Object of class \code{"call"}}\cr
\code{  )}
or by:
\code{  constraintGroup(}\cr
\code{    path2set      = NULL                ...., # Object of class \code{"character"}}\cr
\code{    description   = "Constraint Group"  ...., # Object of class \code{"character"}}\cr
\code{  )}
}
\section{Slots}{
  \describe{
    \item{\code{description}:}{Object of class \code{"character"} A general description on the group of constraint sets. }
    \item{\code{numSets}:}{Object of class \code{"numeric"} Number of constraint sets regrouped in the object. }
    \item{\code{constraintSets}:}{Object of class \code{"list"} a list of objects of class \code{"constraintSet"}}
    \item{\code{objectCall}:}{Object of class \code{"call"} stores how the object was called }
  }
}
\section{Methods}{
\describe{
    \item{plot}{\code{signature(x = "constraintGroup", y="missing", which=NULL, varLen=4, propLen=4, plot.IC=TRUE, plot.nucFreq=TRUE)}: plots the individual \code{"constraintSet"} objects one by one. Those to be plotted can be selected with the 'which' argument and will all be plotted by default. varLen and propLen are integers indicating how wide to make the variable and proportion intervals (1 unit is one base pair).
  plot.IC and plot.nucFreq are logicals respectively indicating whether the IC content and the nucleotide frequencies are to be drawn on the plot.}
  }
}
\references{  }
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\note{
  For the constraintGroup() command, if the default NULL value is kept for the 'path2set' argument, a vignette allowing to browse and select the file opens (requires the tkWidget library)
}
\seealso{
  \code{\link{writeConstraint}}, writes the constraint group as a text file which can then be read by the internet COSMO application
  \code{\link{constraintSet-class}}, \code{\link{intInfo-class}},
}
\examples{
#group=constraintGroup("constraint.rda")
#plot(group)
}
\keyword{classes}

