\name{makeConGrp}
\alias{makeConGrp}
\title{ Constructing a constraint group}
\description{
  The first step to building a constraint set is to define the number and type of intervals defining the set. This is done using the makeConSet
function. 
  Constraints are then built using the makeBoundCon (for information content bounding constraints), makeIntFreqCon (for interval nucleotide frequency constraints),
makePosFreqCon (for position frequency constraints) and finally makeShapeCon (for shape constraints).
  The constraints are then added to the sets created with makeConSet using the addCon command.
  Several constraint sets can then be merged using the makeConGrp to form a group of constraint sets.
}
\usage{
makeConGrp(conSets, descrip="Constraint Group")
}
\arguments{
  \item{conSets}{a list of constraint sets}
  \item{descrip}{a character string to describe the constraint group}
}
\details{
These commands are an alternative to the GUI for constucting constraint sets and groups.
}
\value{
Null.
Depending on the arguments, 1, 2 or 3 text files are created, by default in the working directory.
}
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}, Nick Kwaan
}
\seealso{
  \code{\link{boundCon}}, \code{\link{subMotifCon}}, \code{\link{posFreqCon}}, \code{\link{shapeCon}}, \code{\link{shapeDiffCon}}, \code{\link{palCon}}
}
\examples{
set1=makeConSet(4,c("B","P","V","B"),c(4,50,NA,3))
set2=makeConSet(2,c("B","B"),c(4,4))
palcon=makePalCon(1,2,0.5)
set2=addCon(set2,list(palcon))
makeConGrp(list(set1,set2))
}
\keyword{misc}
