\name{multiMotif-class}
\docType{class}
\alias{multiMotif-class}
\alias{plot,multiMotif-method}
\alias{summary,multiMotif-method}

\title{Class "multiMotif" ~~~ }
\description{ Objects of class \code{"multiMotif"} are an extension of the \code{"motif"} class when the motif is allowed to be repeated more than once. }
\section{Objects from the Class}{
Objects can be created by calls of the form 
\code{  new('multiMotif',}\cr
\code{    description        = ...., # Object of class \code{"character"}}\cr
\code{    pwm                = ...., # Object of class \code{"matrix"}}\cr
\code{    width              = ...., # Object of class \code{"numeric"}}\cr
\code{    pos                = ...., # Object of class \code{"numeric"}}\cr
\code{    strand             = ...., # Object of class \code{"character"}}\cr
\code{    multiMotifList     = ...., # Object of class \code{"list"}}\cr
\code{    objectCall         = ...., # Object of class \code{"call"}}\cr
\code{  )}
or by:
\code{  multiMotif(}\cr
\code{    path2seq      = NULL                  # Object of class \code{"character"}}\cr
\code{    path2pos      = NULL                  # Object of class \code{"character"}}\cr
\code{    w             = ....,                 # Object of class \code{"numeric"}}\cr
\code{    pwm           = NULL                  # Object of class \code{"matrix"}}\cr
\code{    description   = "multi motif Object"  # Object of class \code{"character"}}\cr
\code{  )}
}
\section{Slots}{
  \describe{
    \item{\code{description}:}{Object of class \code{"character"} a general description of the motifs }
    \item{\code{pwm}:}{Object of class \code{"matrix"} position weight matrix }
    \item{\code{width}:}{Object of class \code{"numeric"} motif width }
    \item{\code{pos}:}{Object of class \code{"list"} numeric vector of the starting positiosn of the motifs in each of the sequences. NA if absent  }
    \item{\code{strand}:}{Object of class \code{"character"} character vector indicating the strand on which the motif is positionned. '+' for direct strand, '-' for reverse complement, NA if motif absent}
    \item{\code{multiMotifList}:}{Object of class \code{"list"} list of the motifs: each element of the list corresponds to a sequence and is a charcater vector with the motifs present in that sequence.}
    \item{\code{objectCall}:}{Object of class \code{"call"} stores how the object was created }
  }
}
\section{Methods}{
\describe{
   \item{summary}{\code{signature(object = "multiMotif")}: returns the position weight matrix and a 6 number summary of the number of motifs per sequence}
   \item{plot}{\code{signature(x = "multiMotif")}: plots the information content corresponding to the position weight matrix (indicating for each position the corresponding nucleotide from the consensus) and the histogram of the number of motifs per sequence. The plots to be drawn can be selected with the 'which' argument. }  
}
}
\references{ ~put references to the literature/web site here ~ }
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\note{
If the position weight matrix is not given as an argument (default is NULL), it is estimated from the list of motifs.
For the multiMotif() command, if the default NULL value is kept for the 'path2seq' and/or 'path2pos' arguments, vignette(s) allowing to browse and select the necessary file(s) will open (requires the tkWidget library)
}
\seealso{
  \code{\link{motif-class}}, \code{\link{seqInfo-class}}, \code{\link{multiSeqData-class}}
}
\examples{
##---- Should be DIRECTLY executable !! ----
}
\keyword{classes}
