\name{output-class}
\docType{class}
\alias{output-class}
\alias{output}
\alias{plot,output-method}
\alias{summary,output-method}

\title{Class "output" ~~~ }
\description{ An object of class \code{"output"} is automatically created after calling the 'comode' function and summarizes the results.}
\section{Objects from the Class}{
Objects can be created by calls of the form 
\code{  new('output',}\cr
\code{    width          = ...., # Object of class \code{"numeric"}}\cr
\code{    model          = ...., # Object of class \code{"character"}}\cr
\code{    conSet         = ...., # Object of class \code{"logical"}}\cr
\code{    pwm            = ...., # Object of class \code{"matrix"}}\cr
\code{    consensus      = ...., # Object of class \code{"character"}}\cr
\code{    ic             = ...., # Object of class \code{"numeric"}}\cr
\code{    logLR          = ...., # Object of class \code{"numeric"}}\cr
\code{    eVal           = ...., # Object of class \code{"numeric"}}\cr
\code{    numSites       = ...., # Object of class \code{"numeric"}}\cr
\code{    seq            = ...., # Object of class \code{"numeric"}}\cr
\code{    start          = ...., # Object of class \code{"numeric"}}\cr
\code{    prob           = ...., # Object of class \code{"numeric"}}\cr
\code{    rc             = ...., # Object of class \code{"logical"}}\cr
\code{    objectCall     = ...., # Object of class \code{"call"}}\cr
\code{  )}
or by:
\code{  output(}\cr
\code{    width          = ...., # Object of class \code{"numeric"}}\cr
\code{    model          = ...., # Object of class \code{"character"}}\cr
\code{    conSet         = ...., # Object of class \code{"logical"}}\cr
\code{    pwm            = ...., # Object of class \code{"matrix"}}\cr
\code{    consensus      = ...., # Object of class \code{"character"}}\cr
\code{    ic             = ...., # Object of class \code{"numeric"}}\cr
\code{    logLR          = ...., # Object of class \code{"numeric"}}\cr
\code{    eVal           = ...., # Object of class \code{"numeric"}}\cr
\code{    numSites       = ...., # Object of class \code{"numeric"}}\cr
\code{    seq            = ...., # Object of class \code{"numeric"}}\cr
\code{    start          = ...., # Object of class \code{"numeric"}}\cr
\code{    prob           = ...., # Object of class \code{"numeric"}}\cr
\code{    rc             = ...., # Object of class \code{"logical"}}\cr
\code{    objectCall     = ...., # Object of class \code{"call"}}\cr
\code{  )} 
}
\section{Slots}{
  \describe{
    \item{\code{width}:}{Object of class \code{"numeric"} predicted motif width }
    \item{\code{model}:}{Object of class \code{"character"} type of model used }
    \item{\code{conSet}:}{Object of class \code{"logical"} whether constraints were used }
    \item{\code{pwm}:}{Object of class \code{"matrix"} predicted position weight matrix }
    \item{\code{consensus}:}{Object of class \code{"character"} predicted consensus }
    \item{\code{ic}:}{Object of class \code{"numeric"} information content derived from predicted position weight matrix }
    \item{\code{logLR}:}{Object of class \code{"numeric"} log likelihood ratio test value }
    \item{\code{eVal}:}{Object of class \code{"numeric"} associated e-value to the log ikelihood ratio test (equivalent to a p-value) }
    \item{\code{numSites}:}{Object of class \code{"numeric"} number of sequences where a motif was predicted }
    \item{\code{seq}:}{Object of class \code{"numeric"} sequences where a motif site is predicted }
    \item{\code{start}:}{Object of class \code{"numeric"} predicted starting sites for the corresponding sequences }
    \item{\code{prob}:}{Object of class \code{"numeric"} associated probability that the predicted motif is an actual motif }
    \item{\code{rc}:}{Object of class \code{"logical"} ~~ }
    \item{\code{objectCall}:}{Object of class \code{"call"} stores how the object was created }
  }
}
\section{Methods}{
\describe{
   \item{summary}{\code{signature(object = "multiMotif")}: returns the predicted position weight matrix } 
   \item{plot}{\code{signature(x = "multiMotif")}: plots the information content associated with the prdeicted position weight matrix }
  }
}
\references{ ~put references to the literature/web site here ~ }
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\note{ ~~further notes~~ }
\seealso{
  \code{\link{seqData-class}}
}
\examples{
}
\keyword{classes}
