\name{seqData-class}
\docType{class}
\alias{seqData-class}
\alias{seqData}
\alias{plot,seqData-method}
\alias{summary,seqData-method}

\title{Class "seqData" ~~~ }
\description{ An object of class \code{"seqData"} summarizes information on the sequences, the motifs and the background. An object of this type can be created when generating sequences with at most one motif inserted per sequence. }
\section{Objects from the Class}{
Objects can be created by calls of the form 
\code{  new('multiSeqData',}\cr
\code{    description     = ...., # Object of class \code{"character"}}\cr
\code{    seqInfo         = ...., # Object of class \code{"seqInfo"}}\cr
\code{    motif           = ...., # Object of class \code{"motif"}}\cr
\code{    backgrd         = ...., # Object of class \code{"backgrd"}}\cr
\code{    objectCall      = ...., # Object of class \code{"call"}}\cr
\code{  )}
or by:
\code{  seqData(}\cr
\code{    path2seq      = NULL                       # Object of class \code{"character"}}\cr
\code{    path2pos      = NULL                       # Object of class \code{"character"}}\cr
\code{    w             = ....,                      # Object of class \code{"numeric"}}\cr
\code{    transmat      = NULL                       # Object of class \code{"character"} or \code{"matrix"}}\cr
\code{    pwm           = NULL                       # Object of class \code{"matrix"}}\cr
\code{    descrip       = "multi motif Data Object"  # Object of class \code{"character"}}\cr
\code{  )}   
}
\section{Slots}{
  \describe{
    \item{\code{description}:}{Object of class \code{"character"} a general description of the \code{"seqData"} object }
    \item{\code{seqInfo}:}{Object of class \code{"seqInfo"} a \code{"seqInfo"} object, relating to the sequences}
    \item{\code{motif}:}{Object of class \code{"motif"} an object of class \code{"motif"} relating to the motifs}
    \item{\code{backgrd}:}{Object of class \code{"backgrd"} an object of class \code{"backgrd"} relating to the background }
    \item{\code{objectCall}:}{Object of class \code{"call"} stores how the object was created }
  }
}
\section{Methods}{
\describe{
   \item{summary}{\code{signature(object = "motif")}: returns all the summaries for each of the regrouped objects: a six number of the lengths of the sequences,
  the position weight matrix and the transition matrix. }
   \item{plot}{\code{signature(x = "motif")}: plots all the graphs for each of the regrouped objects: the histogram of the length distribution of the sequences, 
  the information content corresponding to the position weight matrix (indicating the corresponding nucleotide from the consensus for each position) and an image of the background. The plots to be drawn can be selected with the 'which' argument. }  
}
}
\references{ ~put references to the literature/web site here ~ }
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\note{
For the seqData() command, if the default NULL value is kept for the 'path2seq' and/or 'path2pos' and/or 'transmat' arguments, vignette(s) allowing to browse and select the necessary file(s) will open (requires the tkWidget library)
}
\seealso{
  \code{\link{multiSeqGen}}
  \code{\link{seqInfo-class}}, \code{\link{backgrd-class}}, \code{\link{motif-class}}, \code{\link{multiSeqData-class}}
}
\examples{
##---- Should be DIRECTLY executable !! ----
}
\keyword{classes}

