\name{seqInfo-class}
\docType{class}
\alias{seqInfo-class}
\alias{seqInfo}
\alias{plot,seqInfo-method}
\alias{summary,seqInfo-method}

\title{Class "seqInfo" ~~~ }
\description{ An object of class \code{seqInfo} summarizes information on a given set of sequences. }
\section{Objects from the Class}{
Objects can be created by calls of the form 
\code{  new('seqInfo',}\cr
\code{    description   = ...., # Object of class character}\cr
\code{    number        = ...., # Object of class numeric}\cr
\code{    seqNames      = ...., # Object of class character}\cr
\code{    lenSum        = ...., # Object of class table}\cr
\code{    prop          = ...., # Object of class matrix}\cr
\code{    seqList       = ...., # Object of class list}\cr
\code{    objectCall    = ...., # Object of class call}\cr
\code{  )}
or by:
\code{  seqInfo(}\cr
\code{    path2seq      = ...., # Object of class character}\cr
\code{    description   = ...., # Object of class character}\cr
\code{  )}
}
\section{Slots}{
  \describe{
    \item{\code{description}:}{Object of class \code{"character"}, general description of the sequences.}
    \item{\code{number}:}{Object of class \code{"matrix"}, number of sequences. }
    \item{\code{seqNames}:}{Object of class \code{"character"}, names of the sequences. }
    \item{\code{lenSum}:}{Object of class \code{"table"}, six number summary table of the sequences' length distribution. }
    \item{\code{prop}:}{Object of class \code{"matrix"}, proportion of A, C, T and G in the sequences.}
    \item{\code{seqList}:}{Object of class \code{"list"}, list of the sequences.}
    \item{\code{objectCall}:}{Object of class \code{"call"}, command which created the object.}
  }
}
\section{Methods}{
  \describe{
    \item{summary}{\code{signature(object = "seqInfo")}: returns a six number summary of the length distribution of the sequences}
    \item{plot}{\code{signature(x = "seqInfo")}: plots the histogram corresponding to the length distribution of the sequences}
    }
}
\references{ ~put references to the literature/web site here ~ }
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}
}
\seealso{\code{\link{motif}}, \code{\link{backgrd}}, \code{\link{seqData}}.}
\note{ ~~further notes~~ }
\examples{
##---- Should be DIRECTLY executable !! ----
}
\keyword{classes}
