\name{writeFasta}
\alias{writeFasta}
\title{Create a FASTA format text file, of the sequences and/or motifs depending on the data}
\description{
  Create a FASTA format text file for a list of sequences or an object of class
  seqInfo, motif or seqData.
  For a list of sequences or an object of class seqInfo, a single FASTA format text file is created.
  For an object of class motif, a FASTA format of the motifs is created, as well as a text file recording the strand and starting position of the motifs.
  For an object of class seqData, all three previous files are created.
}
\usage{
  writeFasta(seq, seqfile="seq.txt", posfile="pos.txt",motiffile="motif.txt")
}
\arguments{
  \item{seq}{a list of sequences, or an object of class \code{seqInfo}, \code{motif} or \code{seqData}}
  \item{seqfile}{of class \code{character}, name of the file to contain FASTA format sequences, \code{seq.txt} by default}
  \item{posfile}{of class \code{character}, name of the file to contain strand and strating position information, \code{pos.txt} by default}
  \item{motiffile}{of class \code{character}, name of the file to contain FASTA format motifs, \code{motif.txt} by default}
}
\details{
Sequences in FASTA format are extremely useful for other applications and softwares.
}
\value{
Null.
Depending on the arguments, 1, 2 or 3 text files are created, by default in the working directory.
}
\author{
Fabian Gallusser, \email{fgallusser@berkeley.edu}, Nick Kwaan
}
\seealso{
  \code{\link[base]{readFasta}}
}
\examples{}
\keyword{misc}
